﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using AnimationCreator.ViewModel;
using System.IO;

namespace AnimationCreator
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void SelectImagesButton_Click(object sender, RoutedEventArgs e)
		{
			MainViewModel model = DataContext as MainViewModel;
			if (model == null)
			{
				return;
			}

			// show an open file dialog
			OpenFileDialog dlg = new OpenFileDialog();
			dlg.Multiselect = true;
			dlg.Filter = "PNG (*.png)|*.png|All files (*.*)|*.*";
			bool? result = dlg.ShowDialog();
			
			if (result.HasValue && result.Value)
			{
				IEnumerable<FileInfo> files = null;

				if (dlg.Files != null && dlg.Files.Count() > 0)
				{
					files = dlg.Files;					
				}
				else if (dlg.File != null)
				{
					var list = new List<FileInfo>();
					list.Add(dlg.File);
					files = list;
				}

				model.SelectSourceImagesCommand.Execute(files);
			}						
		}
	}
}
