﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace AnimationCreator.Model
{
	/// <summary>
	/// A simple data container class to link a source image to additional information like the file name.
	/// </summary>
	public class SourceImage
	{
		public WriteableBitmap Bitmap
		{
			get;
			private set;
		}

		public string Filename
		{
			get;
			private set;
		}

		public string DisplayName
		{
			get
			{
				return string.Format("{0} ({1}x{2})", Filename, Bitmap.PixelWidth, Bitmap.PixelHeight);
			}
		}

		public SourceImage(WriteableBitmap bmp, string filename)
		{
			Bitmap = bmp;
			Filename = filename;
		}
	}
}
